Changes between Initial Version and Version 1 of Ticket #10423


Ignore:
Timestamp:
12/03/10 18:16:38 (11 years ago)
Author:
leif
Comment:

Perhaps we could clarify the dependencies; the web page just says Python and setuptools (or distribute).

Also, spkg/standard/deps lacks an explicit dependency on these, instead lists Pygments:

$(INST)/$(JINJA2): $(BASE) $(INST)/$(PYGMENTS) $(INST)/$(PATCH)
        $(INSTALL) "$(SAGE_SPKG) $(JINJA2) 2>&1" "tee -a $(SAGE_LOGS)/$(JINJA2).log"

There's also:

# For reference and for when the setuptools problem is solved, here
# are the actual dependencies:
#
# sagenb: python pexpect twisted jinja2 sphinx docutils setuptools
# sqlalchemy: python setuptools
# sphinx: docutils jinja2 pygments
# jinja2: python docutils setuptools
# pygments: python setuptools
# twisted: python python_gnutls setuptools
# zodb: python setuptools

Legend:

Unmodified
Added
Removed
Modified
  • Ticket #10423

    • Property Status changed from new to needs_review
    • Property Cc timdumol jhpalmieri mhansen added
  • Ticket #10423 – Description

    initial v1  
    33----
    44
    5 New spkg coming up soon.
     5=== 2.5.5 (Leif Leonhardy, December 3rd, 2010) ===
     6 * #10423: Upgrade to version 2.5.5, as Sphinx (1.0.4) requires a version >=2.2
     7   (cf. #10350).
     8 * Some clean-up, dependencies added.
     9
     10=== Dependencies ===
     11
     12 * Python (>= 2.4)
     13 * setuptools (or distribute)
     14 * Pygments (according to 'spkg/standard/deps')
     15 * docutils (dito, as a note only)
     16
     17
     18----
     19
     20'''New spkg: http://spkg-upload.googlecode.com/files/jinja2-2.5.5.p0.spkg'''
     21
     22'''md5sum:''' `7f6ea76cdbc7e378503e667b7cd091c8  jinja2-2.5.5.p0.spkg`